#ifndef MAIN_H
#define MAIN_H

#include "application_parameters.h"

uint32_t coefficients[37] = {
    0x0040959A, 0x00000000, 0xFFAE3170, 0x00000000, 0x006AFA6E, 0x00000000, 0xFF6E1EDE, 0x00000000,
    0x00D2B6F8, 0x00000000, 0xFEB4E07B, 0x00000000, 0x02540589, 0x00000000, 0xFA91486B, 0x00000000,
    0x1B2995E8, 0x40000000, 0x517CC1B7, 0x40000000, 0x1B2995E8, 0x00000000, 0xFA91486B, 0x00000000,
    0x02540589, 0x00000000, 0xFEB4E07B, 0x00000000, 0x00D2B6F8, 0x00000000, 0xFF6E1EDE, 0x00000000,
    0x006AFA6E, 0x00000000, 0xFFAE3170, 0x00000000, 0x0040959A
};

uint32_t data[BURST_SIZE] = {
    0x9999, 0x6666
};

static void fill_buffer(TxBufferType *buffer);

#endif